> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starts a catalog reindex operation

> If indexing was started earlier, and there was no reindex operation, then the extraction search will be based on the previously indexed data.
If indexing has never been started, the extraction search will not be carried out.



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/catalogs/{catalogId}/reindex
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex:
    post:
      tags:
        - Catalogs
      summary: Starts a catalog reindex operation
      description: >-
        If indexing was started earlier, and there was no reindex operation,
        then the extraction search will be based on the previously indexed data.

        If indexing has never been started, the extraction search will not be
        carried out.
      operationId: StartCatalogReindex
      parameters:
        - name: catalogId
          in: path
          description: Catalog identifier. You can find it in the list of all catalogs.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the operation
          format: uuid
        indexModelId:
          type: string
          description: Id of the index model used to analyze documents
          nullable: true
        workflowProcessingId:
          type: string
          description: Id of the operation workflow
          nullable: true
        created:
          type: string
          description: Time when operation was created
          format: date-time
        completed:
          type: string
          description: Time when operation was completed
          nullable: true
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````